Package org.eclipse.ecf.filetransfer.service

## Interface IRetrieveFileTransferFactory

All Known Implementing Classes:
  `HttpClientRetrieveFileTransferFactory`, `HttpClientRetrieveFileTransferFactory`, `HttpClientRetrieveFileTransferFactory`

    public interface IRetrieveFileTransferFactory

Retrieve file transfer factory. This service interface is used by clients to create a new IRetrieveFileTransfer instance.

### Method Summary

All Methods Instance Methods Abstract Methods
`IRetrieveFileTransfer` `newInstance()` Get new instance of IRetrieveFileTransfer.

### Method Detail

#### newInstance

    IRetrieveFileTransfer newInstance()

Get new instance of IRetrieveFileTransfer.

Returns:
  IRetrieveFileTransfer for initiating a retrieval of a remote file.